Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77206 - httpd crashes when there is a filename in /etc/httpd/conf.d it can't understand
Summary: httpd crashes when there is a filename in /etc/httpd/conf.d it can't understand
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-03 02:03 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 12:11:24 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2002-11-03 02:03:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
A client of mine somehow created a filename of *.conf in /etc/httpd/conf.d which
from then on caused httpd to cause on start. I ran gdb and it said

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 8192 (LWP 4313)]
0x40234500 in apr_dir_read () from /usr/lib/libapr.so.0

Removing the file *.conf fixed the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install httpd and httpd-devel
2. touch /etc/httpd/conf.d/\*.conf
3. service httpd start
	

Actual Results:  httpd crashes

Expected Results:  httpd to start normally or give an error message

Additional info:

Comment 1 Joe Orton 2002-11-03 10:54:46 UTC
Ouch - this causes the config processing to go into an infinite loop. Thanks
for the report.

Comment 2 Joe Orton 2002-11-03 11:11:52 UTC
Changing the Include statement in httpd.conf to:

Include conf.d/[^*?]*.conf

is one workaround.

Comment 3 Nathan G. Grennan 2003-01-03 03:50:11 UTC
Just tried this again with the httpd in Phoebe beta and it still crashes httpd
the exact same way.

Comment 4 Joe Orton 2003-01-03 12:55:29 UTC
This will be fixed for the next release by making httpd ignore any filenames
which are valid wildcard patterns, so the "*.conf" file will then be skipped.


Note You need to log in before you can comment on or make changes to this bug.